@font-face {
    font-family: 'MarkPro';
    src: url('font/MarkPro.woff2') format('woff2'),
    url('font/MarkPro.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'MarkPro';
    src: url('font/MarkPro-Bold.woff2') format('woff2'),
    url('font/MarkPro-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'MarkPro';
    src: url('font/MarkPro-HeavyItalic.woff2') format('woff2'),
    url('font/MarkPro-HeavyItalic.woff') format('woff');
    font-weight: 900;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'MarkPro';
    src: url('font/MarkPro-Medium.woff2') format('woff2'),
    url('font/MarkPro-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'MarkPro';
    src: url('font/MarkPro-MediumItalic.woff2') format('woff2'),
    url('font/MarkPro-MediumItalic.woff') format('woff');
    font-weight: 500;
    font-style: italic;
    font-display: swap;
}





:root {
    --bg: #00a4e0;
    --fg: rgba(255, 255, 255, 0.92);
    --font-color: #ffffff;
    --muted: rgba(255, 255, 255, 0.68);
    --preloader-color: #e6e6e6;
    --border-width: 0;
    --border-color: #e6e6e6;
}

* {
    box-sizing: border-box;
    margin-block-start: 0;
    margin-block-end: 0;
}

html,
body {
    height: 100%;
    margin: 0;
    background: var(--bg);
    color: #ffffff;

    font-family: "MarkPro", sans-serif;

    font-size: min(20px, max(12px, 1vw));
}

a {
    color: var(--font-color);
}

a:active {
    color: var(--font-color);
}

h1 {
    position: relative;
    font-size: 3em;
    font-family: "MarkPro", sans-serif;
    font-weight: 900;
    font-style: italic;
    line-height: 1em;

    text-transform: uppercase;
}

h2 {
    position: relative;
    font-size: 2em;
    font-family: "MarkPro", sans-serif;
    font-weight: 900;
    font-style: italic;
    line-height: 1.2em;
}

h2 {
    position: relative;
    font-size: 1.4em;
    font-family: "MarkPro", sans-serif;
    font-weight: 900;
    font-style: italic;
    line-height: 1.2em;
}

p {
    font-family: "MarkPro", sans-serif;
    font-size: 1.0em;
}

.button {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    font-size: 1.4em;
    font-family: "MarkPro", sans-serif;
    font-weight: 900;
    font-style: italic;
    text-transform: uppercase;
    text-decoration: none;



    padding: 0.5em 1em;

    border: 4px solid #ffffff;

    border-radius: 2em;
    transition-property: background-color, color;
    transition-duration: 0.5s, 0.5s;
    transition-timing-function: ease, ease;
}

.button:hover {
    background-color: rgba(255, 255, 255, 1);
    color: var(--bg);
}

.legal {
    position: relative;
    font-size: 0.6em;
}

img {
    position: relative;
}

.app {
    position: relative;
    width: 100%;

    padding: 1em;

    display: grid;
    grid-template-columns: auto;
    grid-template-rows: 50px 1fr 50px 120px;
    grid-template-areas: "header" "content" "spacer" "footer";

    justify-items: center;

    min-height: 100vh;
}

.content {
    position: relative;

    grid-area: content;

    padding: 1em;

    width: 100%;
    max-width: 920px;

    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    text-align: center;

    gap: 20px;
}

.footer {
    position: relative;

    grid-area: footer;

    padding: 1em;

    width: 100%;
    max-width: 800px;

    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    text-align: center;

    gap: 10px;
}

.row-container {
    position: relative;

    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: 20px;
}

/*** PRELOADER ***/

@keyframes a-preloader-rotation {
    0% {
        opacity: 1;
        transform: rotate(0deg);
    }
    100% {
        opacity: 1;
        transform: rotate(360deg);
    }
}

.preloader {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;

    opacity: 1;

    transition: opacity 0.5s;

    background-color: var(--preloader-color);
}

.preloader-image {
    position: absolute;

    left: calc(50% - 50px);
    top: calc(50% - 50px);

    width: 100px;
    height: 100px;

    animation-fill-mode: forwards;

    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-name: a-preloader-rotation;
    animation-duration: 2.0s;
    animation-delay: 0.0s;
}

/*** PRELOADER ***/